/*
*-----------------------------------------------------------------------------
* WoopGUI for Harbour - Win32 OOP GUI library source code
* Copyright 2002 Francesco Saverio Giudice <info@fsgiudice.com>
*
*-----------------------------------------------------------------------------
* Parts of this project come from:
* "Harbour MiniGUI"
*                   Copyright 2002 Roberto Lopez <roblez@ciudad.com.ar>
*                   http://www.geocities.com/harbour_minigui/
* "Harbour GUI framework for Win32"
*                   Copyright 2001 Alexander S.Kresin <alex@belacy.belgorod.su>
*                   Copyright 2001 Antonio Linares <alinares@fivetech.com>
*                   http://www.harbour-project.org
*-----------------------------------------------------------------------------
*
*/

#include "woopgui.ch"
#include "common.ch"
#include "hbclass.ch"
#include "windows.ch"

// Windows definitions
CLASS TButton FROM TControl
    // Base

    // METODI
    METHOD  New() CONSTRUCTOR
    METHOD  GetValue()          INLINE Sendmessage( ::nHandle, BM_GETCHECK, 0, 0 )

ENDCLASS

METHOD New( cName, nStyle, nRow, nCol, nWidth, nHeight, oParent, bAction, cToolTip, cStatusBar )

    ASSIGN ::cClassName WITH "BUTTON"
    ASSIGN ::cName      WITH cName    DEFAULT "Button_1"
    ASSIGN ::nStyle     WITH nStyle   DEFAULT WS_VISIBLE + WS_CHILD + WS_TABSTOP + BS_PUSHBUTTON
    ASSIGN ::nRow       WITH nRow     DEFAULT 0
    ASSIGN ::nCol       WITH nCol     DEFAULT 0
    ASSIGN ::nWidth     WITH nWidth   DEFAULT 100
    ASSIGN ::nHeight    WITH nHeight  DEFAULT 28

    // Creo l'istanza tramite la classe window
    ::Super:New( ::cClassName, ::cName, ::nStyle, ;
                                 ::nRow, ::nCol, ::nWidth, ::nHeight, ;
                                 oParent, bAction, cToolTip, cStatusBar )

RETURN Self

