/*
*-----------------------------------------------------------------------------
* WoopGUI for Harbour - Win32 OOP GUI library source code
* Copyright 2002 Francesco Saverio Giudice <info@fsgiudice.com>
*
*-----------------------------------------------------------------------------
* Parts of this project come from:
* "Harbour MiniGUI"
*                   Copyright 2002 Roberto Lopez <roblez@ciudad.com.ar>
*                   http://www.geocities.com/harbour_minigui/
* "Harbour GUI framework for Win32"
*                   Copyright 2001 Alexander S.Kresin <alex@belacy.belgorod.su>
*                   Copyright 2001 Antonio Linares <alinares@fivetech.com>
*                   http://www.harbour-project.org
*-----------------------------------------------------------------------------
*
*/

#include "woopgui.ch"
#include "common.ch"
#include "hbclass.ch"
#include "windows.ch"

// Windows definitions
CLASS TComboBox FROM TControl
    // Base

    // METODI
    METHOD  New() CONSTRUCTOR

    METHOD  AddRows()
    METHOD  AddString()
    METHOD  DeleteString()
    METHOD  FindString()
    METHOD  GetCount()
    METHOD  GetEditSel()
    MESSAGE GetValue METHOD  GetCurSel() 
    METHOD  ResetContent()

ENDCLASS

METHOD New( cName, nStyle, nRow, nCol, nWidth, nHeight, oParent, aRows, bAction, cToolTip, cStatusBar )

    ASSIGN ::cClassName  WITH "COMBOBOX" DEFAULT "ComboBox_1"
    ASSIGN ::cName       WITH cName
    ASSIGN ::nStyle      WITH nStyle     DEFAULT WS_VISIBLE + WS_CHILD + WS_TABSTOP + WS_VSCROLL + CBS_AUTOHSCROLL
    ASSIGN ::nRow        WITH nRow       DEFAULT 0                                                                
    ASSIGN ::nCol        WITH nCol       DEFAULT 0                                                                
    ASSIGN ::nWidth      WITH nWidth     DEFAULT 100                                                              
    ASSIGN ::nHeight     WITH nHeight    DEFAULT 100                                                              

    // Creo l'istanza tramite la classe window
    ::Super:New( ::cClassName, ::cName, ::nStyle, ;
                                 ::nRow, ::nCol, ::nWidth, ::nHeight, ;
                                 oParent, bAction, cToolTip, cStatusBar )

    ::AddRows( aRows )

RETURN Self

METHOD AddRows( aRows )
    aEval( aRows, {|e| ::AddString( e ) } )
RETURN Self

METHOD AddString( cString )
RETURN SendMessage( ::nHandle, CB_ADDSTRING, 0, GetStringPtr( cString ) )

METHOD DeleteString( nPos )
RETURN SendMessage( ::nHandle, CB_DELETESTRING, nPos, 0 )

METHOD FindString( cString, nStart )
    LOCAL nPos
    nPos := SendMessage( ::nHandle, CB_FINDSTRING, nStart, GetStringPtr( cString ) )
RETURN nPos

METHOD GetCount()
    LOCAL nCount
    nCount := SendMessage( ::nHandle, CB_GETCOUNT, 0, 0 )
RETURN nCount

METHOD GetCurSel()
    LOCAL nPos
    nPos := SendMessage( ::nHandle, CB_GETCURSEL, 0, 0 )
RETURN nPos + 1

METHOD GetEditSel( nStart, nEnd )
    LOCAL nPos
    nPos := SendMessage( ::nHandle, CB_GETEDITSEL, nStart, nEnd )
RETURN nPos

METHOD ResetContent()
RETURN SendMessage( ::nHandle, CB_GETEDITSEL, 0, 0 )

