/*
*-----------------------------------------------------------------------------
* WoopGUI for Harbour - Win32 OOP GUI library source code
* Copyright 2002 Francesco Saverio Giudice <info@fsgiudice.com>
*
*-----------------------------------------------------------------------------
* Parts of this project come from:
* "Harbour MiniGUI"
*                   Copyright 2002 Roberto Lopez <roblez@ciudad.com.ar>
*                   http://www.geocities.com/harbour_minigui/
* "Harbour GUI framework for Win32"
*                   Copyright 2001 Alexander S.Kresin <alex@belacy.belgorod.su>
*                   Copyright 2001 Antonio Linares <alinares@fivetech.com>
*                   http://www.harbour-project.org
*-----------------------------------------------------------------------------
*
* From this class descends controls
*/

#include "woopgui.ch"
#include "common.ch"
#include "hbclass.ch"
#include "windows.ch"

CLASS TControl FROM TWindow

    DATA cStatusBar        // Add status bar string

    METHOD  New() CONSTRUCTOR
    
    METHOD  GetLabel()     INLINE ::GetValue()
    METHOD  SetLabel()     BLOCK  {|Self, cText| ::SetLabel( cText ) }
    METHOD  GetValueAsString( nLenght, nDecimal )

ENDCLASS

METHOD New( cClassName, cName, nStyle, nRow, nCol, nWidth, nHeight, oParent, bAction, cToolTip, cStatusBar )
    
    //LOCAL oParentWindow
    
    ASSIGN ::oParent WITH oParent DEFAULT ApplObj():GetCurrentWindow()
    
    // Make instance through TControl class
    ::Super:New( , cClassName, cName, nStyle, ;
                 nRow, nCol, nWidth, nHeight, ;
                 ::oParent )

    ::cStatusBar := cStatusBar

    // Add control to parent window
    //oParentWindow := ApplObj():FindWindowByHandle( ::nParent )
    //oParentWindow:AddChild( Self )
    ::oParent:AddChild( Self )

    ::bAction := bAction
    ::SetToolTip( cToolTip )

RETURN Self

METHOD  GetValueAsString( nLenght, nDecimal )
   LOCAL cValue
   
   cValue := Str( ::GetValue() ) //, nLenght, nDecimal ) //- FSG - Strange!!! if nil str func crash
   
RETURN cValue
