/*
*-----------------------------------------------------------------------------
* WoopGUI for Harbour - Win32 OOP GUI library source code
* Copyright 2002 Francesco Saverio Giudice <info@fsgiudice.com>
*
*-----------------------------------------------------------------------------
* Parts of this project come from:
* "Harbour MiniGUI"
*                   Copyright 2002 Roberto Lopez <roblez@ciudad.com.ar>
*                   http://www.geocities.com/harbour_minigui/
* "Harbour GUI framework for Win32"
*                   Copyright 2001 Alexander S.Kresin <alex@belacy.belgorod.su>
*                   Copyright 2001 Antonio Linares <alinares@fivetech.com>
*                   http://www.harbour-project.org
*-----------------------------------------------------------------------------
*
*/

#include "woopgui.ch"
#include "common.ch"
#include "hbclass.ch"
#include "windows.ch"

// Menu definitions
CLASS TMenuItem
    // Base
    DATA nFlags
    DATA nIDItem       // nIDItem o oSubMenu
    DATA cItem
    DATA bAction

    // METODI
    METHOD  New() CONSTRUCTOR
    METHOD  HasAction()    INLINE ( ValType( ::bAction ) == "B" )
    METHOD  ExecAction()   BLOCK  {|Self, oWin| Eval( ::bAction, oWin ) }

ENDCLASS

METHOD New( nFlags, nIDItem, cItem, bAction )
    
    
    DEFAULT nFlags TO 0
    ::nFlags := MF_ENABLED + MF_STRING + nFlags
    
    ASSIGN ::nIDItem  WITH nIDItem DEFAULT 100                   
    ASSIGN ::cItem    WITH cItem   DEFAULT "Menu_1"              
    ASSIGN ::bAction  WITH bAction

RETURN Self
