/*
*-----------------------------------------------------------------------------
* WoopGUI for Harbour - Win32 OOP GUI library source code
* Copyright 2002 Francesco Saverio Giudice <info@fsgiudice.com>
*
*-----------------------------------------------------------------------------
* Parts of this project come from:
* "Harbour MiniGUI"
*                   Copyright 2002 Roberto Lopez <roblez@ciudad.com.ar>
*                   http://www.geocities.com/harbour_minigui/
* "Harbour GUI framework for Win32"
*                   Copyright 2001 Alexander S.Kresin <alex@belacy.belgorod.su>
*                   Copyright 2001 Antonio Linares <alinares@fivetech.com>
*                   http://www.harbour-project.org
*-----------------------------------------------------------------------------
*
*/

#include "woopgui.ch"
#include "common.ch"
#include "hbclass.ch"
#include "windows.ch"

// Windows definitions
CLASS TStatusBar FROM TWindow

    DATA nParts

    // METODI
    METHOD  New() CONSTRUCTOR
    METHOD  Create()
    METHOD  Repaint()
    METHOD  SetValue()

ENDCLASS

METHOD New( oParent, nParts, nStyle )

    ASSIGN ::cClassName   WITH "msctls_statusbar32"
    ASSIGN ::cName        WITH ""
    ASSIGN ::nStyle       WITH nStyle DEFAULT WS_CHILD + WS_BORDER + WS_VISIBLE + SBARS_SIZEGRIP      // includes a sizing grip

    // Creo l'istanza tramite la classe window
    ::Super:New( , ::cClassName, ::cName, ::nStyle, ;
                                 0, 0, 0, 0, ;
                                 oParent )

    ::Create( nParts ) // Numero di riquadri

RETURN Self

METHOD Create( nParts )
    DEFAULT nParts     TO 1
    ::nParts       := nParts
RETURN CreateStatusBar( ::oParent:nHandle, ::nHandle, nParts )

METHOD Repaint()
RETURN ::Move( 0,0,0,0, TRUE )

METHOD SetValue( cString, nPart, uFlags )
    DEFAULT nPart  TO 1
    DEFAULT uFlags TO SBT_NOBORDERS
RETURN SetStatusBar( ::nHandle, nPart, uFlags, cString )

